/* stylelint-disable docusaurus/copyright-header */
/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
  --ifm-color-primary: #2c7df7;
  --ifm-color-primary-dark: #106cf6;
  --ifm-color-primary-darker: #0965ee;
  --ifm-color-primary-darkest: #0753c4;
  --ifm-color-primary-light: #488ef8;
  --ifm-color-primary-lighter: #5697f9;
  --ifm-color-primary-lightest: #80b1fa;
}

/* Extracted from coqdoc.css + some custom changes */

/* Contents */

#main {
  background-color: hsl(210, 10%, 98%);
  border-radius: var(--ifm-global-radius);
  font-size: var(--ifm-code-font-size);
  font-family: var(--ifm-font-family-monospace);
  line-height: var(--ifm-pre-line-height);
  margin: var(--ifm-spacing-vertical) 0 var(--ifm-spacing-vertical) 0;
  padding: var(--ifm-pre-padding);
}

#main a {
  text-decoration: none;
}

#main .doc {
  border-left: 6px solid var(--ifm-color-emphasis-300);
  color: var(--ifm-blockquote-color);
  margin: var(--ifm-spacing-vertical) 0 var(--ifm-spacing-vertical) 0;
  padding: 8px 16px 8px 16px;
  /* padding: var(--ifm-blockquote-padding-vertical) var(--ifm-blockquote-padding-horizontal); */
}

.comment {
  display: inline;
  color: rgb(50%,50%,80%); 
}

.code {
  display: block;
}

/* Identifiers: <span class="id" title="...">) */

.id { display: inline; }

.id[title="constructor"] {
color: rgb(60%,0%,0%);
}

.id[title="var"] {
color: rgb(40%,0%,40%);
}

.id[title="variable"] {
color: rgb(40%,0%,40%);
}

.id[title="binder"] {
  color: rgb(40%,0%,40%);
}

.id[title="definition"] {
  color: var(--ifm-color-primary);
}

.id[title="abbreviation"] {
  color: rgb(0%,40%,0%);
}

.id[title="lemma"] {
  color: rgb(0%,40%,0%);
}

.id[title="instance"] {
  color: rgb(0%,40%,0%);
}

.id[title="projection"] {
  color: purple;
}

.id[title="method"] {
  color: rgb(0%,40%,0%);
}

.id[title="inductive"] {
  color: var(--ifm-color-primary);
}

.id[title="record"] {
  color: var(--ifm-color-primary);
}

.id[title="class"] {
  color: var(--ifm-color-primary);
}

.id[title="keyword"] {
  color: #cf1d1d;
}

.inlinecode .id {
  color: rgb(0%,0%,0%);
}
